Subject: Production Mode does not resolve current domain
Description

Having a site without any domain records the domain of first call is used for any other domain:
So this results here in this, f.e.:
<meta property="og:image" content="http://pipeu.local/_Resources/Static/Packages/PIPEU.Site/Media/OpenGraphLogo.png"/>

first call was from local
second call with other domainname f.e. pipeu.whatever.de.
pipeu.whatever.de is not used in this case. any absolute link has local domain.

History
#1 - 2014-06-20 15:42 - Christian Müller
- Status changed from New to Needs Feedback

That is not an issue IMHO. If your production site is available via multiple domains (which is not a good idea) you should prime the link cache by calling
all links via a crawler.

#2 - 2014-06-20 15:50 - Carsten Bleicker

So what is the practice here?
1. Having same db (holding domain record) for production and develop context?
2. Or using different dbs, 1 for production context and 2 for dev context. both holding different domains?

In case of 1 db for any context:
Is in dev context the domain in use?

What is your practice here?

#3 - 2014-06-20 17:13 - Henjo Hoeksma
- Priority changed from Should have to -- undefined --

Development and Production would not be on the same server ideally I think. So you will have 2 different databases, one for production and one for
development.

#4 - 2014-07-01 15:16 - Christian Müller

Even if you have, you would definitely want to clear your caches on rollout and make your vhost settings so that the dev domain is not accessible on
the live server.
#5 - 2015-03-20 11:24 - Dominique Feyer

No feedback since 9 month, I close this issue.

Feel free to reopen it on jira.typo3.org, if required.

#6 - 2015-03-20 11:25 - Dominique Feyer
- Status changed from Needs Feedback to Closed

#7 - 2015-03-20 12:10 - Carsten Bleicker

I am working on dev.local.
Client views dev state by dev.foo.de
This should also end up in broken uri:
<meta property="og:image" content="http://dev.local/_Resources/Static/Packages/PIPEU.Site/Media/OpenGraphLogo.png"/>
and not in
<meta property="og:image" content="http://dev.foo.de/_Resources/Static/Packages/PIPEU.Site/Media/OpenGraphLogo.png"/>

correct?
